/*
  constants_sysconf.qpp

  Qore Programming Language

  Copyright (C) 2012 - 2014 Qore Technologies, sro

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <unistd.h>
#include <qore/Qore.h>

#ifndef _SC_ARG_MAX
#define _SC_ARG_MAX -1
#endif

#ifndef _SC_CHILD_MAX
#define _SC_CHILD_MAX -1
#endif

#ifndef _SC_CLK_TCK
#define _SC_CLK_TCK -1
#endif

#ifndef _SC_NGROUPS_MAX
#define _SC_NGROUPS_MAX -1
#endif

#ifndef _SC_OPEN_MAX
#define _SC_OPEN_MAX -1
#endif

#ifndef _SC_STREAM_MAX
#define _SC_STREAM_MAX -1
#endif

#ifndef _SC_TZNAME_MAX
#define _SC_TZNAME_MAX -1
#endif

#ifndef _SC_JOB_CONTROL
#define _SC_JOB_CONTROL -1
#endif

#ifndef _SC_SAVED_IDS
#define _SC_SAVED_IDS -1
#endif

#ifndef _SC_REALTIME_SIGNALS
#define _SC_REALTIME_SIGNALS -1
#endif

#ifndef _SC_PRIORITY_SCHEDULING
#define _SC_PRIORITY_SCHEDULING -1
#endif

#ifndef _SC_TIMERS
#define _SC_TIMERS -1
#endif

#ifndef _SC_ASYNCHRONOUS_IO
#define _SC_ASYNCHRONOUS_IO -1
#endif

#ifndef _SC_PRIORITIZED_IO
#define _SC_PRIORITIZED_IO -1
#endif

#ifndef _SC_SYNCHRONIZED_IO
#define _SC_SYNCHRONIZED_IO -1
#endif

#ifndef _SC_FSYNC
#define _SC_FSYNC -1
#endif

#ifndef _SC_MAPPED_FILES
#define _SC_MAPPED_FILES -1
#endif

#ifndef _SC_MEMLOCK
#define _SC_MEMLOCK -1
#endif

#ifndef _SC_MEMLOCK_RANGE
#define _SC_MEMLOCK_RANGE -1
#endif

#ifndef _SC_MEMORY_PROTECTION
#define _SC_MEMORY_PROTECTION -1
#endif

#ifndef _SC_MESSAGE_PASSING
#define _SC_MESSAGE_PASSING -1
#endif

#ifndef _SC_SEMAPHORES
#define _SC_SEMAPHORES -1
#endif

#ifndef _SC_SHARED_MEMORY_OBJECTS
#define _SC_SHARED_MEMORY_OBJECTS -1
#endif

#ifndef _SC_AIO_LISTIO_MAX
#define _SC_AIO_LISTIO_MAX -1
#endif

#ifndef _SC_AIO_MAX
#define _SC_AIO_MAX -1
#endif

#ifndef _SC_AIO_PRIO_DELTA_MAX
#define _SC_AIO_PRIO_DELTA_MAX -1
#endif

#ifndef _SC_DELAYTIMER_MAX
#define _SC_DELAYTIMER_MAX -1
#endif

#ifndef _SC_MQ_OPEN_MAX
#define _SC_MQ_OPEN_MAX -1
#endif

#ifndef _SC_MQ_PRIO_MAX
#define _SC_MQ_PRIO_MAX -1
#endif

#ifndef _SC_VERSION
#define _SC_VERSION -1
#endif

#ifndef _SC_PAGESIZE
#define _SC_PAGESIZE -1
#endif

#ifndef _SC_PAGE_SIZE
#define _SC_PAGE_SIZE -1
#endif

#ifndef _SC_RTSIG_MAX
#define _SC_RTSIG_MAX -1
#endif

#ifndef _SC_SEM_NSEMS_MAX
#define _SC_SEM_NSEMS_MAX -1
#endif

#ifndef _SC_SEM_VALUE_MAX
#define _SC_SEM_VALUE_MAX -1
#endif

#ifndef _SC_SIGQUEUE_MAX
#define _SC_SIGQUEUE_MAX -1
#endif

#ifndef _SC_TIMER_MAX
#define _SC_TIMER_MAX -1
#endif

#ifndef _SC_BC_BASE_MAX
#define _SC_BC_BASE_MAX -1
#endif

#ifndef _SC_BC_DIM_MAX
#define _SC_BC_DIM_MAX -1
#endif

#ifndef _SC_BC_SCALE_MAX
#define _SC_BC_SCALE_MAX -1
#endif

#ifndef _SC_BC_STRING_MAX
#define _SC_BC_STRING_MAX -1
#endif

#ifndef _SC_COLL_WEIGHTS_MAX
#define _SC_COLL_WEIGHTS_MAX -1
#endif

#ifndef _SC_EQUIV_CLASS_MAX
#define _SC_EQUIV_CLASS_MAX -1
#endif

#ifndef _SC_EXPR_NEST_MAX
#define _SC_EXPR_NEST_MAX -1
#endif

#ifndef _SC_LINE_MAX
#define _SC_LINE_MAX -1
#endif

#ifndef _SC_RE_DUP_MAX
#define _SC_RE_DUP_MAX -1
#endif

#ifndef _SC_CHARCLASS_NAME_MAX
#define _SC_CHARCLASS_NAME_MAX -1
#endif

#ifndef _SC_2_VERSION
#define _SC_2_VERSION -1
#endif

#ifndef _SC_2_C_BIND
#define _SC_2_C_BIND -1
#endif

#ifndef _SC_2_C_DEV
#define _SC_2_C_DEV -1
#endif

#ifndef _SC_2_FORT_DEV
#define _SC_2_FORT_DEV -1
#endif

#ifndef _SC_2_FORT_RUN
#define _SC_2_FORT_RUN -1
#endif

#ifndef _SC_2_SW_DEV
#define _SC_2_SW_DEV -1
#endif

#ifndef _SC_2_LOCALEDEF
#define _SC_2_LOCALEDEF -1
#endif

#ifndef _SC_PII
#define _SC_PII -1
#endif

#ifndef _SC_PII_XTI
#define _SC_PII_XTI -1
#endif

#ifndef _SC_PII_SOCKET
#define _SC_PII_SOCKET -1
#endif

#ifndef _SC_PII_INTERNET
#define _SC_PII_INTERNET -1
#endif

#ifndef _SC_PII_OSI
#define _SC_PII_OSI -1
#endif

#ifndef _SC_POLL
#define _SC_POLL -1
#endif

#ifndef _SC_SELECT
#define _SC_SELECT -1
#endif

#ifndef _SC_UIO_MAXIOV
#define _SC_UIO_MAXIOV -1
#endif

#ifndef _SC_IOV_MAX
#define _SC_IOV_MAX -1
#endif

#ifndef _SC_PII_INTERNET_STREAM
#define _SC_PII_INTERNET_STREAM -1
#endif

#ifndef _SC_PII_INTERNET_DGRAM
#define _SC_PII_INTERNET_DGRAM -1
#endif

#ifndef _SC_PII_OSI_COTS
#define _SC_PII_OSI_COTS -1
#endif

#ifndef _SC_PII_OSI_CLTS
#define _SC_PII_OSI_CLTS -1
#endif

#ifndef _SC_PII_OSI_M
#define _SC_PII_OSI_M -1
#endif

#ifndef _SC_T_IOV_MAX
#define _SC_T_IOV_MAX -1
#endif

#ifndef _SC_THREADS
#define _SC_THREADS -1
#endif

#ifndef _SC_THREAD_SAFE_FUNCTIONS
#define _SC_THREAD_SAFE_FUNCTIONS -1
#endif

#ifndef _SC_GETGR_R_SIZE_MAX
#define _SC_GETGR_R_SIZE_MAX -1
#endif

#ifndef _SC_GETPW_R_SIZE_MAX
#define _SC_GETPW_R_SIZE_MAX -1
#endif

#ifndef _SC_LOGIN_NAME_MAX
#define _SC_LOGIN_NAME_MAX -1
#endif

#ifndef _SC_TTY_NAME_MAX
#define _SC_TTY_NAME_MAX -1
#endif

#ifndef _SC_THREAD_DESTRUCTOR_ITERATIONS
#define _SC_THREAD_DESTRUCTOR_ITERATIONS -1
#endif

#ifndef _SC_THREAD_KEYS_MAX
#define _SC_THREAD_KEYS_MAX -1
#endif

#ifndef _SC_THREAD_STACK_MIN
#define _SC_THREAD_STACK_MIN -1
#endif

#ifndef _SC_THREAD_THREADS_MAX
#define _SC_THREAD_THREADS_MAX -1
#endif

#ifndef _SC_THREAD_ATTR_STACKADDR
#define _SC_THREAD_ATTR_STACKADDR -1
#endif

#ifndef _SC_THREAD_ATTR_STACKSIZE
#define _SC_THREAD_ATTR_STACKSIZE -1
#endif

#ifndef _SC_THREAD_PRIORITY_SCHEDULING
#define _SC_THREAD_PRIORITY_SCHEDULING -1
#endif

#ifndef _SC_THREAD_PRIO_INHERIT
#define _SC_THREAD_PRIO_INHERIT -1
#endif

#ifndef _SC_THREAD_PRIO_PROTECT
#define _SC_THREAD_PRIO_PROTECT -1
#endif

#ifndef _SC_THREAD_PROCESS_SHARED
#define _SC_THREAD_PROCESS_SHARED -1
#endif

#ifndef _SC_NPROCESSORS_CONF
#define _SC_NPROCESSORS_CONF -1
#endif

#ifndef _SC_NPROCESSORS_ONLN
#define _SC_NPROCESSORS_ONLN -1
#endif

#ifndef _SC_PHYS_PAGES
#define _SC_PHYS_PAGES -1
#endif

#ifndef _SC_AVPHYS_PAGES
#define _SC_AVPHYS_PAGES -1
#endif

#ifndef _SC_ATEXIT_MAX
#define _SC_ATEXIT_MAX -1
#endif

#ifndef _SC_PASS_MAX
#define _SC_PASS_MAX -1
#endif

#ifndef _SC_XOPEN_VERSION
#define _SC_XOPEN_VERSION -1
#endif

#ifndef _SC_XOPEN_XCU_VERSION
#define _SC_XOPEN_XCU_VERSION -1
#endif

#ifndef _SC_XOPEN_UNIX
#define _SC_XOPEN_UNIX -1
#endif

#ifndef _SC_XOPEN_CRYPT
#define _SC_XOPEN_CRYPT -1
#endif

#ifndef _SC_XOPEN_ENH_I18N
#define _SC_XOPEN_ENH_I18N -1
#endif

#ifndef _SC_XOPEN_SHM
#define _SC_XOPEN_SHM -1
#endif

#ifndef _SC_2_CHAR_TERM
#define _SC_2_CHAR_TERM -1
#endif

#ifndef _SC_2_C_VERSION
#define _SC_2_C_VERSION -1
#endif

#ifndef _SC_2_UPE
#define _SC_2_UPE -1
#endif

#ifndef _SC_XOPEN_XPG2
#define _SC_XOPEN_XPG2 -1
#endif

#ifndef _SC_XOPEN_XPG3
#define _SC_XOPEN_XPG3 -1
#endif

#ifndef _SC_XOPEN_XPG4
#define _SC_XOPEN_XPG4 -1
#endif

#ifndef _SC_CHAR_BIT
#define _SC_CHAR_BIT -1
#endif

#ifndef _SC_CHAR_MAX
#define _SC_CHAR_MAX -1
#endif

#ifndef _SC_CHAR_MIN
#define _SC_CHAR_MIN -1
#endif

#ifndef _SC_INT_MAX
#define _SC_INT_MAX -1
#endif

#ifndef _SC_INT_MIN
#define _SC_INT_MIN -1
#endif

#ifndef _SC_LONG_BIT
#define _SC_LONG_BIT -1
#endif

#ifndef _SC_WORD_BIT
#define _SC_WORD_BIT -1
#endif

#ifndef _SC_MB_LEN_MAX
#define _SC_MB_LEN_MAX -1
#endif

#ifndef _SC_NZERO
#define _SC_NZERO -1
#endif

#ifndef _SC_SSIZE_MAX
#define _SC_SSIZE_MAX -1
#endif

#ifndef _SC_SCHAR_MAX
#define _SC_SCHAR_MAX -1
#endif

#ifndef _SC_SCHAR_MIN
#define _SC_SCHAR_MIN -1
#endif

#ifndef _SC_SHRT_MAX
#define _SC_SHRT_MAX -1
#endif

#ifndef _SC_SHRT_MIN
#define _SC_SHRT_MIN -1
#endif

#ifndef _SC_UCHAR_MAX
#define _SC_UCHAR_MAX -1
#endif

#ifndef _SC_UINT_MAX
#define _SC_UINT_MAX -1
#endif

#ifndef _SC_ULONG_MAX
#define _SC_ULONG_MAX -1
#endif

#ifndef _SC_USHRT_MAX
#define _SC_USHRT_MAX -1
#endif

#ifndef _SC_NL_ARGMAX
#define _SC_NL_ARGMAX -1
#endif

#ifndef _SC_NL_LANGMAX
#define _SC_NL_LANGMAX -1
#endif

#ifndef _SC_NL_MSGMAX
#define _SC_NL_MSGMAX -1
#endif

#ifndef _SC_NL_NMAX
#define _SC_NL_NMAX -1
#endif

#ifndef _SC_NL_SETMAX
#define _SC_NL_SETMAX -1
#endif

#ifndef _SC_NL_TEXTMAX
#define _SC_NL_TEXTMAX -1
#endif

#ifndef _SC_XBS5_ILP32_OFF32
#define _SC_XBS5_ILP32_OFF32 -1
#endif

#ifndef _SC_XBS5_ILP32_OFFBIG
#define _SC_XBS5_ILP32_OFFBIG -1
#endif

#ifndef _SC_XBS5_LP64_OFF64
#define _SC_XBS5_LP64_OFF64 -1
#endif

#ifndef _SC_XBS5_LPBIG_OFFBIG
#define _SC_XBS5_LPBIG_OFFBIG -1
#endif

#ifndef _SC_XOPEN_LEGACY
#define _SC_XOPEN_LEGACY -1
#endif

#ifndef _SC_XOPEN_REALTIME
#define _SC_XOPEN_REALTIME -1
#endif

#ifndef _SC_XOPEN_REALTIME_THREADS
#define _SC_XOPEN_REALTIME_THREADS -1
#endif

#ifndef _SC_ADVISORY_INFO
#define _SC_ADVISORY_INFO -1
#endif

#ifndef _SC_BARRIERS
#define _SC_BARRIERS -1
#endif

#ifndef _SC_BASE
#define _SC_BASE -1
#endif

#ifndef _SC_C_LANG_SUPPORT
#define _SC_C_LANG_SUPPORT -1
#endif

#ifndef _SC_C_LANG_SUPPORT_R
#define _SC_C_LANG_SUPPORT_R -1
#endif

#ifndef _SC_CLOCK_SELECTION
#define _SC_CLOCK_SELECTION -1
#endif

#ifndef _SC_CPUTIME
#define _SC_CPUTIME -1
#endif

#ifndef _SC_THREAD_CPUTIME
#define _SC_THREAD_CPUTIME -1
#endif

#ifndef _SC_DEVICE_IO
#define _SC_DEVICE_IO -1
#endif

#ifndef _SC_DEVICE_SPECIFIC
#define _SC_DEVICE_SPECIFIC -1
#endif

#ifndef _SC_DEVICE_SPECIFIC_R
#define _SC_DEVICE_SPECIFIC_R -1
#endif

#ifndef _SC_FD_MGMT
#define _SC_FD_MGMT -1
#endif

#ifndef _SC_FIFO
#define _SC_FIFO -1
#endif

#ifndef _SC_PIPE
#define _SC_PIPE -1
#endif

#ifndef _SC_FILE_ATTRIBUTES
#define _SC_FILE_ATTRIBUTES -1
#endif

#ifndef _SC_FILE_LOCKING
#define _SC_FILE_LOCKING -1
#endif

#ifndef _SC_FILE_SYSTEM
#define _SC_FILE_SYSTEM -1
#endif

#ifndef _SC_MONOTONIC_CLOCK
#define _SC_MONOTONIC_CLOCK -1
#endif

#ifndef _SC_MULTI_PROCESS
#define _SC_MULTI_PROCESS -1
#endif

#ifndef _SC_SINGLE_PROCESS
#define _SC_SINGLE_PROCESS -1
#endif

#ifndef _SC_NETWORKING
#define _SC_NETWORKING -1
#endif

#ifndef _SC_READER_WRITER_LOCKS
#define _SC_READER_WRITER_LOCKS -1
#endif

#ifndef _SC_SPIN_LOCKS
#define _SC_SPIN_LOCKS -1
#endif

#ifndef _SC_REGEXP
#define _SC_REGEXP -1
#endif

#ifndef _SC_REGEX_VERSION
#define _SC_REGEX_VERSION -1
#endif

#ifndef _SC_SHELL
#define _SC_SHELL -1
#endif

#ifndef _SC_SIGNALS
#define _SC_SIGNALS -1
#endif

#ifndef _SC_SPAWN
#define _SC_SPAWN -1
#endif

#ifndef _SC_SPORADIC_SERVER
#define _SC_SPORADIC_SERVER -1
#endif

#ifndef _SC_THREAD_SPORADIC_SERVER
#define _SC_THREAD_SPORADIC_SERVER -1
#endif

#ifndef _SC_SYSTEM_DATABASE
#define _SC_SYSTEM_DATABASE -1
#endif

#ifndef _SC_SYSTEM_DATABASE_R
#define _SC_SYSTEM_DATABASE_R -1
#endif

#ifndef _SC_TIMEOUTS
#define _SC_TIMEOUTS -1
#endif

#ifndef _SC_TYPED_MEMORY_OBJECTS
#define _SC_TYPED_MEMORY_OBJECTS -1
#endif

#ifndef _SC_USER_GROUPS
#define _SC_USER_GROUPS -1
#endif

#ifndef _SC_USER_GROUPS_R
#define _SC_USER_GROUPS_R -1
#endif

#ifndef _SC_2_PBS
#define _SC_2_PBS -1
#endif

#ifndef _SC_2_PBS_ACCOUNTING
#define _SC_2_PBS_ACCOUNTING -1
#endif

#ifndef _SC_2_PBS_LOCATE
#define _SC_2_PBS_LOCATE -1
#endif

#ifndef _SC_2_PBS_MESSAGE
#define _SC_2_PBS_MESSAGE -1
#endif

#ifndef _SC_2_PBS_TRACK
#define _SC_2_PBS_TRACK -1
#endif

#ifndef _SC_SYMLOOP_MAX
#define _SC_SYMLOOP_MAX -1
#endif

#ifndef _SC_STREAMS
#define _SC_STREAMS -1
#endif

#ifndef _SC_2_PBS_CHECKPOINT
#define _SC_2_PBS_CHECKPOINT -1
#endif

#ifndef _SC_V6_ILP32_OFF32
#define _SC_V6_ILP32_OFF32 -1
#endif

#ifndef _SC_V6_ILP32_OFFBIG
#define _SC_V6_ILP32_OFFBIG -1
#endif

#ifndef _SC_V6_LP64_OFF64
#define _SC_V6_LP64_OFF64 -1
#endif

#ifndef _SC_V6_LPBIG_OFFBIG
#define _SC_V6_LPBIG_OFFBIG -1
#endif

#ifndef _SC_HOST_NAME_MAX
#define _SC_HOST_NAME_MAX -1
#endif

#ifndef _SC_TRACE
#define _SC_TRACE -1
#endif

#ifndef _SC_TRACE_EVENT_FILTER
#define _SC_TRACE_EVENT_FILTER -1
#endif

#ifndef _SC_TRACE_INHERIT
#define _SC_TRACE_INHERIT -1
#endif

#ifndef _SC_TRACE_LOG
#define _SC_TRACE_LOG -1
#endif

#ifndef _SC_LEVEL1_ICACHE_SIZE
#define _SC_LEVEL1_ICACHE_SIZE -1
#endif

#ifndef _SC_LEVEL1_ICACHE_ASSOC
#define _SC_LEVEL1_ICACHE_ASSOC -1
#endif

#ifndef _SC_LEVEL1_ICACHE_LINESIZE
#define _SC_LEVEL1_ICACHE_LINESIZE -1
#endif

#ifndef _SC_LEVEL1_DCACHE_SIZE
#define _SC_LEVEL1_DCACHE_SIZE -1
#endif

#ifndef _SC_LEVEL1_DCACHE_ASSOC
#define _SC_LEVEL1_DCACHE_ASSOC -1
#endif

#ifndef _SC_LEVEL1_DCACHE_LINESIZE
#define _SC_LEVEL1_DCACHE_LINESIZE -1
#endif

#ifndef _SC_LEVEL2_CACHE_SIZE
#define _SC_LEVEL2_CACHE_SIZE -1
#endif

#ifndef _SC_LEVEL2_CACHE_ASSOC
#define _SC_LEVEL2_CACHE_ASSOC -1
#endif

#ifndef _SC_LEVEL2_CACHE_LINESIZE
#define _SC_LEVEL2_CACHE_LINESIZE -1
#endif

#ifndef _SC_LEVEL3_CACHE_SIZE
#define _SC_LEVEL3_CACHE_SIZE -1
#endif

#ifndef _SC_LEVEL3_CACHE_ASSOC
#define _SC_LEVEL3_CACHE_ASSOC -1
#endif

#ifndef _SC_LEVEL3_CACHE_LINESIZE
#define _SC_LEVEL3_CACHE_LINESIZE -1
#endif

#ifndef _SC_LEVEL4_CACHE_SIZE
#define _SC_LEVEL4_CACHE_SIZE -1
#endif

#ifndef _SC_LEVEL4_CACHE_ASSOC
#define _SC_LEVEL4_CACHE_ASSOC -1
#endif

#ifndef _SC_LEVEL4_CACHE_LINESIZE
#define _SC_LEVEL4_CACHE_LINESIZE -1
#endif

#ifndef _SC_IPV6
#define _SC_IPV6 -1
#endif

#ifndef _SC_RAW_SOCKETS
#define _SC_RAW_SOCKETS -1
#endif

#ifndef _SC_V7_ILP32_OFF32
#define _SC_V7_ILP32_OFF32 -1
#endif

#ifndef _SC_V7_ILP32_OFFBIG
#define _SC_V7_ILP32_OFFBIG -1
#endif

#ifndef _SC_V7_LP64_OFF64
#define _SC_V7_LP64_OFF64 -1
#endif

#ifndef _SC_V7_LPBIG_OFFBIG
#define _SC_V7_LPBIG_OFFBIG -1
#endif

#ifndef _SC_SS_REPL_MAX
#define _SC_SS_REPL_MAX -1
#endif

#ifndef _SC_TRACE_EVENT_NAME_MAX
#define _SC_TRACE_EVENT_NAME_MAX -1
#endif

#ifndef _SC_TRACE_NAME_MAX
#define _SC_TRACE_NAME_MAX -1
#endif

#ifndef _SC_TRACE_SYS_MAX
#define _SC_TRACE_SYS_MAX -1
#endif

#ifndef _SC_TRACE_USER_EVENT_MAX
#define _SC_TRACE_USER_EVENT_MAX -1
#endif

#ifndef _SC_XOPEN_STREAMS
#define _SC_XOPEN_STREAMS -1
#endif

#ifndef _SC_THREAD_ROBUST_PRIO_INHERIT
#define _SC_THREAD_ROBUST_PRIO_INHERIT -1
#endif

#ifndef _SC_THREAD_ROBUST_PRIO_PROTECT
#define _SC_THREAD_ROBUST_PRIO_PROTECT -1
#endif

DLLLOCAL void init_sysconf_constants(QoreNamespace& ns) {
# 891 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 896 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 899 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 902 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 905 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 908 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 911 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 914 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 917 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 920 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 923 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 926 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 929 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 932 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 935 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 938 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 941 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 944 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 947 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 950 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 953 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 956 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 959 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 962 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 965 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 968 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 971 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 974 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 977 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 980 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 983 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 986 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 989 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 992 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 995 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 998 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1001 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1004 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1007 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1010 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1013 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1016 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1019 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1022 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1025 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1028 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1031 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1034 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1037 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1040 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1043 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1046 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1049 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1052 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1055 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1058 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1061 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1064 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1067 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1070 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1073 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1076 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1079 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1082 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1085 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1088 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1091 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1094 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1097 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1100 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1103 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1106 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1109 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1112 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1115 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1118 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1121 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1124 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1127 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1130 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1133 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1136 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1139 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1142 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1145 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1148 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1151 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1154 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1157 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1160 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1163 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1166 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1169 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1172 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1175 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1178 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1181 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1184 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1187 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1190 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1193 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1196 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1199 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1202 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1205 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1208 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1211 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1214 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1217 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1220 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1223 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1226 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1229 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1232 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1235 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1238 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1241 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1244 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1247 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1250 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1253 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1256 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1259 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1262 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1265 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1268 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1271 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1274 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1277 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1280 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1283 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1286 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1289 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1292 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1295 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1298 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1301 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1304 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1307 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1310 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1313 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1316 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1319 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1322 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1325 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1328 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1331 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1334 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1337 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1340 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1343 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1346 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1349 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1352 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1355 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1358 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1361 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1364 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1367 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1370 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1373 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1376 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1379 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1382 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1385 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1388 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1391 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1394 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1397 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1400 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1403 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1406 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1409 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1412 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1415 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1418 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1421 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1424 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1427 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1430 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1433 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1436 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1439 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1442 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1445 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1448 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1451 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1454 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1457 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1460 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1463 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1466 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1469 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1472 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1475 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1478 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1481 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1484 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1487 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1490 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1493 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1496 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1499 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1502 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1505 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1508 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1511 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1514 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1517 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1520 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1523 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1526 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1529 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1532 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
# 1535 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_sysconf.qpp"
   ns.addConstant("SC_2_CHAR_TERM", new QoreBigIntNode(_SC_2_CHAR_TERM));
   ns.addConstant("SC_2_C_BIND", new QoreBigIntNode(_SC_2_C_BIND));
   ns.addConstant("SC_2_C_DEV", new QoreBigIntNode(_SC_2_C_DEV));
   ns.addConstant("SC_2_C_VERSION", new QoreBigIntNode(_SC_2_C_VERSION));
   ns.addConstant("SC_2_FORT_DEV", new QoreBigIntNode(_SC_2_FORT_DEV));
   ns.addConstant("SC_2_FORT_RUN", new QoreBigIntNode(_SC_2_FORT_RUN));
   ns.addConstant("SC_2_LOCALEDEF", new QoreBigIntNode(_SC_2_LOCALEDEF));
   ns.addConstant("SC_2_PBS", new QoreBigIntNode(_SC_2_PBS));
   ns.addConstant("SC_2_PBS_ACCOUNTING", new QoreBigIntNode(_SC_2_PBS_ACCOUNTING));
   ns.addConstant("SC_2_PBS_CHECKPOINT", new QoreBigIntNode(_SC_2_PBS_CHECKPOINT));
   ns.addConstant("SC_2_PBS_LOCATE", new QoreBigIntNode(_SC_2_PBS_LOCATE));
   ns.addConstant("SC_2_PBS_MESSAGE", new QoreBigIntNode(_SC_2_PBS_MESSAGE));
   ns.addConstant("SC_2_PBS_TRACK", new QoreBigIntNode(_SC_2_PBS_TRACK));
   ns.addConstant("SC_2_SW_DEV", new QoreBigIntNode(_SC_2_SW_DEV));
   ns.addConstant("SC_2_UPE", new QoreBigIntNode(_SC_2_UPE));
   ns.addConstant("SC_2_VERSION", new QoreBigIntNode(_SC_2_VERSION));
   ns.addConstant("SC_ADVISORY_INFO", new QoreBigIntNode(_SC_ADVISORY_INFO));
   ns.addConstant("SC_AIO_LISTIO_MAX", new QoreBigIntNode(_SC_AIO_LISTIO_MAX));
   ns.addConstant("SC_AIO_MAX", new QoreBigIntNode(_SC_AIO_MAX));
   ns.addConstant("SC_AIO_PRIO_DELTA_MAX", new QoreBigIntNode(_SC_AIO_PRIO_DELTA_MAX));
   ns.addConstant("SC_ASYNCHRONOUS_IO", new QoreBigIntNode(_SC_ASYNCHRONOUS_IO));
   ns.addConstant("SC_ATEXIT_MAX", new QoreBigIntNode(_SC_ATEXIT_MAX));
   ns.addConstant("SC_AVPHYS_PAGES", new QoreBigIntNode(_SC_AVPHYS_PAGES));
   ns.addConstant("SC_BARRIERS", new QoreBigIntNode(_SC_BARRIERS));
   ns.addConstant("SC_BASE", new QoreBigIntNode(_SC_BASE));
   ns.addConstant("SC_BC_BASE_MAX", new QoreBigIntNode(_SC_BC_BASE_MAX));
   ns.addConstant("SC_BC_DIM_MAX", new QoreBigIntNode(_SC_BC_DIM_MAX));
   ns.addConstant("SC_BC_SCALE_MAX", new QoreBigIntNode(_SC_BC_SCALE_MAX));
   ns.addConstant("SC_BC_STRING_MAX", new QoreBigIntNode(_SC_BC_STRING_MAX));
   ns.addConstant("SC_CHARCLASS_NAME_MAX", new QoreBigIntNode(_SC_CHARCLASS_NAME_MAX));
   ns.addConstant("SC_CHAR_BIT", new QoreBigIntNode(_SC_CHAR_BIT));
   ns.addConstant("SC_CHAR_MAX", new QoreBigIntNode(_SC_CHAR_MAX));
   ns.addConstant("SC_CHAR_MIN", new QoreBigIntNode(_SC_CHAR_MIN));
   ns.addConstant("SC_CLK_TCK", new QoreBigIntNode(_SC_CLK_TCK));
   ns.addConstant("SC_CLOCK_SELECTION", new QoreBigIntNode(_SC_CLOCK_SELECTION));
   ns.addConstant("SC_COLL_WEIGHTS_MAX", new QoreBigIntNode(_SC_COLL_WEIGHTS_MAX));
   ns.addConstant("SC_CPUTIME", new QoreBigIntNode(_SC_CPUTIME));
   ns.addConstant("SC_C_LANG_SUPPORT", new QoreBigIntNode(_SC_C_LANG_SUPPORT));
   ns.addConstant("SC_C_LANG_SUPPORT_R", new QoreBigIntNode(_SC_C_LANG_SUPPORT_R));
   ns.addConstant("SC_DELAYTIMER_MAX", new QoreBigIntNode(_SC_DELAYTIMER_MAX));
   ns.addConstant("SC_DEVICE_IO", new QoreBigIntNode(_SC_DEVICE_IO));
   ns.addConstant("SC_DEVICE_SPECIFIC", new QoreBigIntNode(_SC_DEVICE_SPECIFIC));
   ns.addConstant("SC_DEVICE_SPECIFIC_R", new QoreBigIntNode(_SC_DEVICE_SPECIFIC_R));
   ns.addConstant("SC_EQUIV_CLASS_MAX", new QoreBigIntNode(_SC_EQUIV_CLASS_MAX));
   ns.addConstant("SC_EXPR_NEST_MAX", new QoreBigIntNode(_SC_EXPR_NEST_MAX));
   ns.addConstant("SC_FD_MGMT", new QoreBigIntNode(_SC_FD_MGMT));
   ns.addConstant("SC_FIFO", new QoreBigIntNode(_SC_FIFO));
   ns.addConstant("SC_FILE_ATTRIBUTES", new QoreBigIntNode(_SC_FILE_ATTRIBUTES));
   ns.addConstant("SC_FILE_LOCKING", new QoreBigIntNode(_SC_FILE_LOCKING));
   ns.addConstant("SC_FILE_SYSTEM", new QoreBigIntNode(_SC_FILE_SYSTEM));
   ns.addConstant("SC_FSYNC", new QoreBigIntNode(_SC_FSYNC));
   ns.addConstant("SC_GETGR_R_SIZE_MAX", new QoreBigIntNode(_SC_GETGR_R_SIZE_MAX));
   ns.addConstant("SC_GETPW_R_SIZE_MAX", new QoreBigIntNode(_SC_GETPW_R_SIZE_MAX));
   ns.addConstant("SC_HOST_NAME_MAX", new QoreBigIntNode(_SC_HOST_NAME_MAX));
   ns.addConstant("SC_INT_MAX", new QoreBigIntNode(_SC_INT_MAX));
   ns.addConstant("SC_INT_MIN", new QoreBigIntNode(_SC_INT_MIN));
   ns.addConstant("SC_IOV_MAX", new QoreBigIntNode(_SC_IOV_MAX));
   ns.addConstant("SC_IPV6", new QoreBigIntNode(_SC_IPV6));
   ns.addConstant("SC_JOB_CONTROL", new QoreBigIntNode(_SC_JOB_CONTROL));
   ns.addConstant("SC_LEVEL1_DCACHE_ASSOC", new QoreBigIntNode(_SC_LEVEL1_DCACHE_ASSOC));
   ns.addConstant("SC_LEVEL1_DCACHE_LINESIZE", new QoreBigIntNode(_SC_LEVEL1_DCACHE_LINESIZE));
   ns.addConstant("SC_LEVEL1_DCACHE_SIZE", new QoreBigIntNode(_SC_LEVEL1_DCACHE_SIZE));
   ns.addConstant("SC_LEVEL1_ICACHE_ASSOC", new QoreBigIntNode(_SC_LEVEL1_ICACHE_ASSOC));
   ns.addConstant("SC_LEVEL1_ICACHE_LINESIZE", new QoreBigIntNode(_SC_LEVEL1_ICACHE_LINESIZE));
   ns.addConstant("SC_LEVEL1_ICACHE_SIZE", new QoreBigIntNode(_SC_LEVEL1_ICACHE_SIZE));
   ns.addConstant("SC_LEVEL2_CACHE_ASSOC", new QoreBigIntNode(_SC_LEVEL2_CACHE_ASSOC));
   ns.addConstant("SC_LEVEL2_CACHE_LINESIZE", new QoreBigIntNode(_SC_LEVEL2_CACHE_LINESIZE));
   ns.addConstant("SC_LEVEL2_CACHE_SIZE", new QoreBigIntNode(_SC_LEVEL2_CACHE_SIZE));
   ns.addConstant("SC_LEVEL3_CACHE_ASSOC", new QoreBigIntNode(_SC_LEVEL3_CACHE_ASSOC));
   ns.addConstant("SC_LEVEL3_CACHE_LINESIZE", new QoreBigIntNode(_SC_LEVEL3_CACHE_LINESIZE));
   ns.addConstant("SC_LEVEL3_CACHE_SIZE", new QoreBigIntNode(_SC_LEVEL3_CACHE_SIZE));
   ns.addConstant("SC_LEVEL4_CACHE_ASSOC", new QoreBigIntNode(_SC_LEVEL4_CACHE_ASSOC));
   ns.addConstant("SC_LEVEL4_CACHE_LINESIZE", new QoreBigIntNode(_SC_LEVEL4_CACHE_LINESIZE));
   ns.addConstant("SC_LEVEL4_CACHE_SIZE", new QoreBigIntNode(_SC_LEVEL4_CACHE_SIZE));
   ns.addConstant("SC_LINE_MAX", new QoreBigIntNode(_SC_LINE_MAX));
   ns.addConstant("SC_LOGIN_NAME_MAX", new QoreBigIntNode(_SC_LOGIN_NAME_MAX));
   ns.addConstant("SC_LONG_BIT", new QoreBigIntNode(_SC_LONG_BIT));
   ns.addConstant("SC_MAPPED_FILES", new QoreBigIntNode(_SC_MAPPED_FILES));
   ns.addConstant("SC_MB_LEN_MAX", new QoreBigIntNode(_SC_MB_LEN_MAX));
   ns.addConstant("SC_MEMLOCK", new QoreBigIntNode(_SC_MEMLOCK));
   ns.addConstant("SC_MEMLOCK_RANGE", new QoreBigIntNode(_SC_MEMLOCK_RANGE));
   ns.addConstant("SC_MEMORY_PROTECTION", new QoreBigIntNode(_SC_MEMORY_PROTECTION));
   ns.addConstant("SC_MESSAGE_PASSING", new QoreBigIntNode(_SC_MESSAGE_PASSING));
   ns.addConstant("SC_MONOTONIC_CLOCK", new QoreBigIntNode(_SC_MONOTONIC_CLOCK));
   ns.addConstant("SC_MQ_OPEN_MAX", new QoreBigIntNode(_SC_MQ_OPEN_MAX));
   ns.addConstant("SC_MQ_PRIO_MAX", new QoreBigIntNode(_SC_MQ_PRIO_MAX));
   ns.addConstant("SC_MULTI_PROCESS", new QoreBigIntNode(_SC_MULTI_PROCESS));
   ns.addConstant("SC_NETWORKING", new QoreBigIntNode(_SC_NETWORKING));
   ns.addConstant("SC_NGROUPS_MAX", new QoreBigIntNode(_SC_NGROUPS_MAX));
   ns.addConstant("SC_NL_ARGMAX", new QoreBigIntNode(_SC_NL_ARGMAX));
   ns.addConstant("SC_NL_LANGMAX", new QoreBigIntNode(_SC_NL_LANGMAX));
   ns.addConstant("SC_NL_MSGMAX", new QoreBigIntNode(_SC_NL_MSGMAX));
   ns.addConstant("SC_NL_NMAX", new QoreBigIntNode(_SC_NL_NMAX));
   ns.addConstant("SC_NL_SETMAX", new QoreBigIntNode(_SC_NL_SETMAX));
   ns.addConstant("SC_NL_TEXTMAX", new QoreBigIntNode(_SC_NL_TEXTMAX));
   ns.addConstant("SC_NO_LIMIT", new QoreBigIntNode(-1));
   ns.addConstant("SC_NPROCESSORS_CONF", new QoreBigIntNode(_SC_NPROCESSORS_CONF));
   ns.addConstant("SC_NPROCESSORS_ONLN", new QoreBigIntNode(_SC_NPROCESSORS_ONLN));
   ns.addConstant("SC_NZERO", new QoreBigIntNode(_SC_NZERO));
   ns.addConstant("SC_OPEN_MAX", new QoreBigIntNode(_SC_OPEN_MAX));
   ns.addConstant("SC_PAGESIZE", new QoreBigIntNode(_SC_PAGESIZE));
   ns.addConstant("SC_PAGE_SIZE", new QoreBigIntNode(_SC_PAGE_SIZE));
   ns.addConstant("SC_PASS_MAX", new QoreBigIntNode(_SC_PASS_MAX));
   ns.addConstant("SC_PHYS_PAGES", new QoreBigIntNode(_SC_PHYS_PAGES));
   ns.addConstant("SC_PII", new QoreBigIntNode(_SC_PII));
   ns.addConstant("SC_PII_INTERNET", new QoreBigIntNode(_SC_PII_INTERNET));
   ns.addConstant("SC_PII_INTERNET_DGRAM", new QoreBigIntNode(_SC_PII_INTERNET_DGRAM));
   ns.addConstant("SC_PII_INTERNET_STREAM", new QoreBigIntNode(_SC_PII_INTERNET_STREAM));
   ns.addConstant("SC_PII_OSI", new QoreBigIntNode(_SC_PII_OSI));
   ns.addConstant("SC_PII_OSI_CLTS", new QoreBigIntNode(_SC_PII_OSI_CLTS));
   ns.addConstant("SC_PII_OSI_COTS", new QoreBigIntNode(_SC_PII_OSI_COTS));
   ns.addConstant("SC_PII_OSI_M", new QoreBigIntNode(_SC_PII_OSI_M));
   ns.addConstant("SC_PII_SOCKET", new QoreBigIntNode(_SC_PII_SOCKET));
   ns.addConstant("SC_PII_XTI", new QoreBigIntNode(_SC_PII_XTI));
   ns.addConstant("SC_PIPE", new QoreBigIntNode(_SC_PIPE));
   ns.addConstant("SC_POLL", new QoreBigIntNode(_SC_POLL));
   ns.addConstant("SC_PRIORITIZED_IO", new QoreBigIntNode(_SC_PRIORITIZED_IO));
   ns.addConstant("SC_PRIORITY_SCHEDULING", new QoreBigIntNode(_SC_PRIORITY_SCHEDULING));
   ns.addConstant("SC_RAW_SOCKETS", new QoreBigIntNode(_SC_RAW_SOCKETS));
   ns.addConstant("SC_READER_WRITER_LOCKS", new QoreBigIntNode(_SC_READER_WRITER_LOCKS));
   ns.addConstant("SC_REALTIME_SIGNALS", new QoreBigIntNode(_SC_REALTIME_SIGNALS));
   ns.addConstant("SC_REGEXP", new QoreBigIntNode(_SC_REGEXP));
   ns.addConstant("SC_REGEX_VERSION", new QoreBigIntNode(_SC_REGEX_VERSION));
   ns.addConstant("SC_RE_DUP_MAX", new QoreBigIntNode(_SC_RE_DUP_MAX));
   ns.addConstant("SC_RTSIG_MAX", new QoreBigIntNode(_SC_RTSIG_MAX));
   ns.addConstant("SC_SAVED_IDS", new QoreBigIntNode(_SC_SAVED_IDS));
   ns.addConstant("SC_SCHAR_MAX", new QoreBigIntNode(_SC_SCHAR_MAX));
   ns.addConstant("SC_SCHAR_MIN", new QoreBigIntNode(_SC_SCHAR_MIN));
   ns.addConstant("SC_SELECT", new QoreBigIntNode(_SC_SELECT));
   ns.addConstant("SC_SEMAPHORES", new QoreBigIntNode(_SC_SEMAPHORES));
   ns.addConstant("SC_SEM_NSEMS_MAX", new QoreBigIntNode(_SC_SEM_NSEMS_MAX));
   ns.addConstant("SC_SEM_VALUE_MAX", new QoreBigIntNode(_SC_SEM_VALUE_MAX));
   ns.addConstant("SC_SHARED_MEMORY_OBJECTS", new QoreBigIntNode(_SC_SHARED_MEMORY_OBJECTS));
   ns.addConstant("SC_SHELL", new QoreBigIntNode(_SC_SHELL));
   ns.addConstant("SC_SHRT_MAX", new QoreBigIntNode(_SC_SHRT_MAX));
   ns.addConstant("SC_SHRT_MIN", new QoreBigIntNode(_SC_SHRT_MIN));
   ns.addConstant("SC_SIGNALS", new QoreBigIntNode(_SC_SIGNALS));
   ns.addConstant("SC_SIGQUEUE_MAX", new QoreBigIntNode(_SC_SIGQUEUE_MAX));
   ns.addConstant("SC_SINGLE_PROCESS", new QoreBigIntNode(_SC_SINGLE_PROCESS));
   ns.addConstant("SC_SPAWN", new QoreBigIntNode(_SC_SPAWN));
   ns.addConstant("SC_SPIN_LOCKS", new QoreBigIntNode(_SC_SPIN_LOCKS));
   ns.addConstant("SC_SPORADIC_SERVER", new QoreBigIntNode(_SC_SPORADIC_SERVER));
   ns.addConstant("SC_SSIZE_MAX", new QoreBigIntNode(_SC_SSIZE_MAX));
   ns.addConstant("SC_SS_REPL_MAX", new QoreBigIntNode(_SC_SS_REPL_MAX));
   ns.addConstant("SC_STREAMS", new QoreBigIntNode(_SC_STREAMS));
   ns.addConstant("SC_STREAM_MAX", new QoreBigIntNode(_SC_STREAM_MAX));
   ns.addConstant("SC_SYMLOOP_MAX", new QoreBigIntNode(_SC_SYMLOOP_MAX));
   ns.addConstant("SC_SYNCHRONIZED_IO", new QoreBigIntNode(_SC_SYNCHRONIZED_IO));
   ns.addConstant("SC_SYSTEM_DATABASE", new QoreBigIntNode(_SC_SYSTEM_DATABASE));
   ns.addConstant("SC_SYSTEM_DATABASE_R", new QoreBigIntNode(_SC_SYSTEM_DATABASE_R));
   ns.addConstant("SC_THREADS", new QoreBigIntNode(_SC_THREADS));
   ns.addConstant("SC_THREAD_ATTR_STACKADDR", new QoreBigIntNode(_SC_THREAD_ATTR_STACKADDR));
   ns.addConstant("SC_THREAD_ATTR_STACKSIZE", new QoreBigIntNode(_SC_THREAD_ATTR_STACKSIZE));
   ns.addConstant("SC_THREAD_CPUTIME", new QoreBigIntNode(_SC_THREAD_CPUTIME));
   ns.addConstant("SC_THREAD_DESTRUCTOR_ITERATIONS", new QoreBigIntNode(_SC_THREAD_DESTRUCTOR_ITERATIONS));
   ns.addConstant("SC_THREAD_KEYS_MAX", new QoreBigIntNode(_SC_THREAD_KEYS_MAX));
   ns.addConstant("SC_THREAD_PRIORITY_SCHEDULING", new QoreBigIntNode(_SC_THREAD_PRIORITY_SCHEDULING));
   ns.addConstant("SC_THREAD_PRIO_INHERIT", new QoreBigIntNode(_SC_THREAD_PRIO_INHERIT));
   ns.addConstant("SC_THREAD_PRIO_PROTECT", new QoreBigIntNode(_SC_THREAD_PRIO_PROTECT));
   ns.addConstant("SC_THREAD_PROCESS_SHARED", new QoreBigIntNode(_SC_THREAD_PROCESS_SHARED));
   ns.addConstant("SC_THREAD_ROBUST_PRIO_INHERIT", new QoreBigIntNode(_SC_THREAD_ROBUST_PRIO_INHERIT));
   ns.addConstant("SC_THREAD_ROBUST_PRIO_PROTECT", new QoreBigIntNode(_SC_THREAD_ROBUST_PRIO_PROTECT));
   ns.addConstant("SC_THREAD_SAFE_FUNCTIONS", new QoreBigIntNode(_SC_THREAD_SAFE_FUNCTIONS));
   ns.addConstant("SC_THREAD_SPORADIC_SERVER", new QoreBigIntNode(_SC_THREAD_SPORADIC_SERVER));
   ns.addConstant("SC_THREAD_STACK_MIN", new QoreBigIntNode(_SC_THREAD_STACK_MIN));
   ns.addConstant("SC_THREAD_THREADS_MAX", new QoreBigIntNode(_SC_THREAD_THREADS_MAX));
   ns.addConstant("SC_TIMEOUTS", new QoreBigIntNode(_SC_TIMEOUTS));
   ns.addConstant("SC_TIMERS", new QoreBigIntNode(_SC_TIMERS));
   ns.addConstant("SC_TIMER_MAX", new QoreBigIntNode(_SC_TIMER_MAX));
   ns.addConstant("SC_TRACE", new QoreBigIntNode(_SC_TRACE));
   ns.addConstant("SC_TRACE_EVENT_FILTER", new QoreBigIntNode(_SC_TRACE_EVENT_FILTER));
   ns.addConstant("SC_TRACE_EVENT_NAME_MAX", new QoreBigIntNode(_SC_TRACE_EVENT_NAME_MAX));
   ns.addConstant("SC_TRACE_INHERIT", new QoreBigIntNode(_SC_TRACE_INHERIT));
   ns.addConstant("SC_TRACE_LOG", new QoreBigIntNode(_SC_TRACE_LOG));
   ns.addConstant("SC_TRACE_NAME_MAX", new QoreBigIntNode(_SC_TRACE_NAME_MAX));
   ns.addConstant("SC_TRACE_SYS_MAX", new QoreBigIntNode(_SC_TRACE_SYS_MAX));
   ns.addConstant("SC_TRACE_USER_EVENT_MAX", new QoreBigIntNode(_SC_TRACE_USER_EVENT_MAX));
   ns.addConstant("SC_TTY_NAME_MAX", new QoreBigIntNode(_SC_TTY_NAME_MAX));
   ns.addConstant("SC_TYPED_MEMORY_OBJECTS", new QoreBigIntNode(_SC_TYPED_MEMORY_OBJECTS));
   ns.addConstant("SC_TZNAME_MAX", new QoreBigIntNode(_SC_TZNAME_MAX));
   ns.addConstant("SC_T_IOV_MAX", new QoreBigIntNode(_SC_T_IOV_MAX));
   ns.addConstant("SC_UCHAR_MAX", new QoreBigIntNode(_SC_UCHAR_MAX));
   ns.addConstant("SC_UINT_MAX", new QoreBigIntNode(_SC_UINT_MAX));
   ns.addConstant("SC_UIO_MAXIOV", new QoreBigIntNode(_SC_UIO_MAXIOV));
   ns.addConstant("SC_ULONG_MAX", new QoreBigIntNode(_SC_ULONG_MAX));
   ns.addConstant("SC_USER_GROUPS", new QoreBigIntNode(_SC_USER_GROUPS));
   ns.addConstant("SC_USER_GROUPS_R", new QoreBigIntNode(_SC_USER_GROUPS_R));
   ns.addConstant("SC_USHRT_MAX", new QoreBigIntNode(_SC_USHRT_MAX));
   ns.addConstant("SC_V6_ILP32_OFF32", new QoreBigIntNode(_SC_V6_ILP32_OFF32));
   ns.addConstant("SC_V6_ILP32_OFFBIG", new QoreBigIntNode(_SC_V6_ILP32_OFFBIG));
   ns.addConstant("SC_V6_LP64_OFF64", new QoreBigIntNode(_SC_V6_LP64_OFF64));
   ns.addConstant("SC_V6_LPBIG_OFFBIG", new QoreBigIntNode(_SC_V6_LPBIG_OFFBIG));
   ns.addConstant("SC_V7_ILP32_OFF32", new QoreBigIntNode(_SC_V7_ILP32_OFF32));
   ns.addConstant("SC_V7_ILP32_OFFBIG", new QoreBigIntNode(_SC_V7_ILP32_OFFBIG));
   ns.addConstant("SC_V7_LP64_OFF64", new QoreBigIntNode(_SC_V7_LP64_OFF64));
   ns.addConstant("SC_V7_LPBIG_OFFBIG", new QoreBigIntNode(_SC_V7_LPBIG_OFFBIG));
   ns.addConstant("SC_VERSION", new QoreBigIntNode(_SC_VERSION));
   ns.addConstant("SC_WORD_BIT", new QoreBigIntNode(_SC_WORD_BIT));
   ns.addConstant("SC_XBS5_ILP32_OFF32", new QoreBigIntNode(_SC_XBS5_ILP32_OFF32));
   ns.addConstant("SC_XBS5_ILP32_OFFBIG", new QoreBigIntNode(_SC_XBS5_ILP32_OFFBIG));
   ns.addConstant("SC_XBS5_LP64_OFF64", new QoreBigIntNode(_SC_XBS5_LP64_OFF64));
   ns.addConstant("SC_XBS5_LPBIG_OFFBIG", new QoreBigIntNode(_SC_XBS5_LPBIG_OFFBIG));
   ns.addConstant("SC_XOPEN_CRYPT", new QoreBigIntNode(_SC_XOPEN_CRYPT));
   ns.addConstant("SC_XOPEN_ENH_I18N", new QoreBigIntNode(_SC_XOPEN_ENH_I18N));
   ns.addConstant("SC_XOPEN_LEGACY", new QoreBigIntNode(_SC_XOPEN_LEGACY));
   ns.addConstant("SC_XOPEN_REALTIME", new QoreBigIntNode(_SC_XOPEN_REALTIME));
   ns.addConstant("SC_XOPEN_REALTIME_THREADS", new QoreBigIntNode(_SC_XOPEN_REALTIME_THREADS));
   ns.addConstant("SC_XOPEN_SHM", new QoreBigIntNode(_SC_XOPEN_SHM));
   ns.addConstant("SC_XOPEN_STREAMS", new QoreBigIntNode(_SC_XOPEN_STREAMS));
   ns.addConstant("SC_XOPEN_UNIX", new QoreBigIntNode(_SC_XOPEN_UNIX));
   ns.addConstant("SC_XOPEN_VERSION", new QoreBigIntNode(_SC_XOPEN_VERSION));
   ns.addConstant("SC_XOPEN_XCU_VERSION", new QoreBigIntNode(_SC_XOPEN_XCU_VERSION));
   ns.addConstant("SC_XOPEN_XPG2", new QoreBigIntNode(_SC_XOPEN_XPG2));
   ns.addConstant("SC_XOPEN_XPG3", new QoreBigIntNode(_SC_XOPEN_XPG3));
   ns.addConstant("SC_XOPEN_XPG4", new QoreBigIntNode(_SC_XOPEN_XPG4));

}
